BEGIN
   DECLARE
      V_COUNT NUMBER;
      V_SEQVARCHAR VARCHAR2(50);
      V_SEQUENCIAL NUMBER;
      PROCEDURE INSEREPRODUTO(P_CODIGO IN VARCHAR, P_NMPRODUTO IN VARCHAR, P_VISIVEL IN VARCHAR)
      AS
      BEGIN
         BEGIN
            SELECT COUNT(P.NRPRODUTOADQ)
              INTO V_COUNT
              FROM PRODUTOADQ P
             WHERE P.NMPRODUTOADQ = P_NMPRODUTO;
         EXCEPTION
            WHEN NO_DATA_FOUND THEN
               V_COUNT := 0;
         END;
         IF V_COUNT = 0 THEN
             NOVO_CODIGO_NT('PRODUTOADQ', V_SEQVARCHAR);
             V_SEQUENCIAL := TO_NUMBER(V_SEQVARCHAR);
             INSERT INTO PRODUTOADQ
               (NRPRODUTOADQ, CDPRODUTOADQ, NMPRODUTOADQ, CDTIPORECE, VRTOLERANCIA, NRBANDEIRAVAN, IDVISIVEL)
             VALUES
               (V_SEQUENCIAL, P_CODIGO, P_NMPRODUTO, NULL, 0.1, NULL, P_VISIVEL);
         END IF;
      END;

      PROCEDURE INSEREADQUIRENTE(P_CODIGO IN VARCHAR,
                                 P_NMADQUIRENTE IN VARCHAR,
                                 P_VISIVEL IN VARCHAR)
      AS
      BEGIN
         BEGIN
            SELECT COUNT(A.NRADQUIRENTE)
              INTO V_COUNT
              FROM ADQUIRENTE A
             WHERE A.NMADQUIRENTE = P_NMADQUIRENTE;
         EXCEPTION
            WHEN NO_DATA_FOUND THEN
               V_COUNT := 0;
         END;
         IF V_COUNT = 0 THEN
             /* Insere as ADQUIRENTES (DONAS DAS MAQUININHAS) */
            NOVO_CODIGO_NT('ADQUIRENTE', V_SEQVARCHAR);
            V_SEQUENCIAL := TO_NUMBER(V_SEQVARCHAR);
            INSERT INTO ADQUIRENTE
               (NRADQUIRENTE, CDADQUIRENTE, NMADQUIRENTE,
                VRTAXAADM, VRTOLERANCIA, IDVISIVEL)
            VALUES
               (V_SEQUENCIAL, P_CODIGO, P_NMADQUIRENTE, 0, 0.1, P_VISIVEL);
         END IF;
      END;
   BEGIN
      INSEREPRODUTO('57', 'CREDSYSTEM CREDITO A VISTA', 'N');
      INSEREPRODUTO('379', 'REDE UZE PRE PAGO', 'N');
      INSEREPRODUTO('380', 'VALECARD CREDITO', 'N');
      INSEREPRODUTO('381', 'VALECARD DEBITO', 'N');
      INSEREPRODUTO('382', 'VALECARD VOUCHER', 'N');
      INSEREPRODUTO('383', 'TRICARD CREDITO', 'N');
      INSEREPRODUTO('384', 'PLANVALE TITULO', 'N');
      INSEREPRODUTO('385', 'PLANVALE CONVNIO', 'N');
      INSEREPRODUTO('386', 'PLANVALE CREDITO DIGITAL', 'N');
      INSEREPRODUTO('387', 'PLANVALE COMPRAS', 'N');
      INSEREPRODUTO('388', 'PLANVALE TEF', 'N');
      INSEREPRODUTO('389', 'PLANVALE ALIMENTAO', 'N');
      INSEREPRODUTO('390', 'PLANVALE PREMIAO', 'N');
      INSEREPRODUTO('391', 'BANESCARD TITULO', 'N');
      INSEREPRODUTO('392', 'BANESCARD CONVENIO', 'N');
      INSEREPRODUTO('393', 'BANESCARD CREDITO DIGITAL', 'N');
      INSEREPRODUTO('394', 'BANESCARD CREDITO', 'N');
      INSEREPRODUTO('395', 'BANESCARD DEBITO', 'N');
      INSEREPRODUTO('396', 'BANESCARD CUPOM ELETRONICO', 'N');
      INSEREPRODUTO('397', 'BANESCARD CUPOM PAPEL', 'N');
      INSEREPRODUTO('398', 'VALECARD TITULO', 'N');
      INSEREPRODUTO('399', 'VALECARD CONVENIO', 'N');
      INSEREPRODUTO('400', 'VALECARD CREDITO DIGITAL', 'N');
      INSEREPRODUTO('401', 'VALECARD CARTAO DE CREDITO', 'N');
      INSEREPRODUTO('402', 'VALECARD TEF', 'N');
      INSEREPRODUTO('403', 'VALECARD CUPOM ELETRONICO', 'N');
      INSEREPRODUTO('404', 'VALECARD CUPOM PAPEL', 'N');
      INSEREPRODUTO('405', 'BNDES MASTER', 'N');
      INSEREPRODUTO('406', 'BNDES VISA', 'N');
      INSEREPRODUTO('409', 'GETNET RECORRENTE', 'N');
      INSEREPRODUTO('410', 'GETNET TTULO', 'N');
      INSEREPRODUTO('411', 'GETNET CONVENIO', 'N');
      INSEREPRODUTO('412', 'GETNET CREDITO DIGITAL', 'N');
      INSEREPRODUTO('413', 'GETNET CUPOM ELETRONICO', 'N');
      INSEREPRODUTO('414', 'GETNET CUPOM PAPEL', 'N');
      INSEREPRODUTO('415', 'SOROCRED VOUCHER', 'N');
      INSEREPRODUTO('416', 'SOROCRED CREDIRIO', 'N');
      INSEREPRODUTO('417', 'PAGSEGURO CARTO DE CRDITO', 'N');
      INSEREPRODUTO('418', 'PAGSEGURO BOLETO', 'N');
      INSEREPRODUTO('419', 'PAGSEGURO DBITO ONLINE (TEF)', 'N');
      INSEREPRODUTO('420', 'SALDO PAGSEGURO', 'N');
      INSEREPRODUTO('421', 'PAGSEGURO OI PAGGO', 'N');
      INSEREPRODUTO('422', 'PAGSEGURO DEPSITO EM CONTA', 'N');
      INSEREPRODUTO('423', 'SAFRA PAY CRDITO', 'N');
      INSEREPRODUTO('424', 'SAFRA PAY DBITO', 'N');
      INSEREPRODUTO('425', 'SAFRA PAY VOUCHER', 'N');
      INSEREPRODUTO('426', 'PAGSEGURO CARTO DE DBITO', 'N');
      INSEREPRODUTO('427', 'VEROCHEQUE CRDITO', 'N');
      INSEREPRODUTO('428', 'VEROCHEQUE DBITO', 'N');
      INSEREPRODUTO('429', 'VEROCHEQUE VOUCHER', 'N');
      INSEREPRODUTO('430', 'PAGSEGURO VOUCHER', 'N');

      INSEREADQUIRENTE('30', 'REDE UZE', 'N');
      INSEREADQUIRENTE('32', 'TRICARD', 'N');
      INSEREADQUIRENTE('33', 'PLANVALE', 'N');
      INSEREADQUIRENTE('34', 'SOROCRED', 'N');
      INSEREADQUIRENTE('35', 'PAGSEGURO', 'N');
      INSEREADQUIRENTE('36', 'SAFRA PAY', 'N');
      INSEREADQUIRENTE('37', 'VEROCHEQUE', 'N');
   END;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('INSERTBASECNC_2','6.10.000'); END;
/

